package edu.toronto.cs.ctl;

/**
 ** This is a universal strong until CTL node.
 **/
public class CTLAUNode extends CTLAbstractNode
{

  /**
   ** Construct a universal strong until CTL node using two other
   ** nodes as its children.
   **/
  protected CTLAUNode (CTLNode phi, CTLNode psi)
  {
    super (phi, psi);
  }

  public String toString ()
  {
    return "A[" + getLeft () + " U " + getRight () + "]";
  }

  public void accept (CTLVisitor v, Object s)
  {
    v.visitAUNode (this, s);
  }


}
