package edu.toronto.cs.ctl;

/**
 ** This is an Implication CTL node.
 **/
public class CTLImplNode extends CTLAbstractNode
{

  /**
   ** Construct an Implication CTL node using two other nodes as its children.
   **/
  protected CTLImplNode (CTLNode phi, CTLNode psi)
  {
    super (phi, psi);
  }

  public String toString ()
  {
    return "(" + getLeft () + " -> " + getRight () + ")";
  }


  public void accept (CTLVisitor v, Object s)
  {
    v.visitImplNode (this, s);
  }


}
