package edu.toronto.cs.experiments;

import edu.toronto.cs.util.Chaos;
import java.util.Iterator;
import org.apache.log4j.*;

public class RandomFunction extends TableFunction {

    static Category log = 
	Category.getInstance("edu.toronto.cs.experiments.RandomFunction");

    static {
	BasicConfigurator.configure();
    }
    public RandomFunction(int m, int k) {
	super(m,k);
    }

    protected void fill() {
	//	Random r = new Random();
	for (int i=0; i<table.length; i++) {
	    //	    int curr = Math.round(r.nextFloat() * (float)(m-1));
	    int curr = Chaos.nextUpTo(m);
	    log.debug("Setting point "+i+" to "+curr);
	    table[i] = curr;
		}
    }

    public Function clone (int m_, int k_) {
	return new RandomFunction(m_, k_);
    }
    public static void main(String argv[]) {
	Function fn = new RandomFunction(2,3);
	Function fn2 = fn.embed(5, new int[]{0, 4});
	Iterator zoobert = fn2.getAllPoints();
	Iterator hastert = fn.getAllPoints();

	while (zoobert.hasNext()) {
	    hastert.next();
	    zoobert.next();
	}
    }
}
