package edu.toronto.cs.keg;

import java.util.*;

import edu.toronto.cs.util.dgraph.*;
import edu.toronto.cs.util.*;

public class KEGraphVisitorAncestor extends DGraphVisitorAncestor 
  implements KEGraphVisitor
{

  public void visit (DGNode node, Object stateinfo)
  {
    // is this really a dgraph package node, or is it "one of ours"?
    if (node instanceof KEGNode)
      kegvisit ((KEGNode)node, stateinfo);
    else
      super.visit (node, stateinfo);
  } 

  public void kegvisit (KEGNode node, Object stateinfo)
  {
    node.accept ((KEGraphVisitor)this, stateinfo);
  }
  
  public void visitKStateNode (KEGStateNode node, Object stateinfo)
  {
  }
  
  public void visitKCtlNode (KEGCtlNode node, Object stateinfo)
  {
  }

  public KEGraphVisitorAncestor ()
  {
  }
}
