/*
 * KEGVisTest.java
 *
 * Created on November 30, 2001, 4:00 AM
 */

package edu.toronto.cs.kegvis;
import org.mortbay.jetty.Server;
import org.mortbay.http.*;
import org.mortbay.http.handler.*;
import org.mortbay.jetty.servlet.*;
import org.mortbay.util.*;
/**
 *
 * @author  bwong
 * @version
 */
public class KEGVisTest {
  
  /** Creates new KEGVisTest */
  public KEGVisTest() {
  }
  
  
  /**
   * @param args the command line arguments
   */
  public static void main(String args[]) throws Exception {
    Server KVServer = new Server();
    KVServer.addListener(new InetAddrPort(8081));
    HandlerContext context = KVServer.getContext(null, "/");
    
    // sets all references to be relative to the current path
    // (eg. ~/xbel/edu/toronto/cs")
    context.setResourceBase("");
/*
    ResourceHandler rhandler = new ResourceHandler();
    rhandler.setDirAllowed(false);
    rhandler.setPutAllowed(false);
    rhandler.setDelAllowed(false);
    rhandler.setAcceptRanges(true);
//    rhandler.addIndexFile("index.html");
    rhandler.setMaxCachedFiles(200);
    rhandler.setMaxCachedFileSize(32000);
    context.addHandler(rhandler);
 */
    ServletHandler shandler = new ServletHandler();
    shandler.addServlet("KEGVis", "/kegvis/KVWServlet", "edu.toronto.cs.kegvis.KVWServlet");
    shandler.addServlet("JSP", "*.jsp", "org.apache.jasper.servlet.JspServlet");
    context.addHandler(shandler);
    
    KVServer.start();
    System.out.println("Jetty 3.1 server online.");
  }
  
}
