package edu.toronto.cs.prettygraph;

import java.util.*;

import edu.toronto.cs.xkripke.*;
import edu.toronto.cs.util.dgraph.*;
import edu.toronto.cs.util.*;
import edu.toronto.cs.mvset.MvState;


public class PrettyGraphXKNode extends PrettyGraphNode
{
  static Logger log = new Logger ("PrettyGraphXKNode");
  //XKripke.XKripkeState state;
  
  public PrettyGraphXKNode 
    (Object _state, DGlobalUniqueFactory owner)
  {
    super (_state, owner);
    //    state = _state;
  }

  public XKripke.XKripkeState getXK ()
  {
    return (XKripke.XKripkeState) getName ();
  }

  public void accept (PrettyGraphVisitor visitor, Object stateinfo)
  {
    log.debug ("Hi! -- PXK being visited by PGV");
    visitor.visitPrettyXKNode (this, stateinfo);
  }
  
  
}


