package edu.toronto.cs.ctl;

/**
 ** This is an AX CTL node.
 **/
public class CTLAXNode extends CTLAbstractNode
{

  /**
   ** Construct an AX CTL node from another node.
   **/
  protected CTLAXNode (CTLNode phi)
  {
    super (phi);
  }

  public String toString ()
  {
    return "AX " + getRight ();
  }

  public void accept (CTLVisitor v, Object s)
  {
    v.visitAXNode (this, s);
  }

}
