package edu.toronto.cs.ctl;

/**
 ** This is an EF CTL node.
 **/
public class CTLEFNode extends CTLAbstractNode
{

  /**
   ** Construct an EF CTL node from another node.
   **/
  protected CTLEFNode (CTLNode phi)
  {
    super (phi);
  }

  public String toString ()
  {
    return "EF " + getRight ();
  }

  public void accept (CTLVisitor v, Object s)
  {
    v.visitEFNode (this, s);
  }


}
